package com.yuchen.saas.park.api.entity.security;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.base.BaseEntity;

/**
 * <p>
 * 电子围栏报警事件表
 * </p>
 *
 * @author 洪铭铭
 * @since 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("saas_park_electronic_fence_alarm_event")
@ApiModel(value="SaasParkElectronicFenceAlarmEvent对象", description="电子围栏报警事件表")
public class SaasParkElectronicFenceAlarmEvent extends BaseEntity {


    @ApiModelProperty(value = "报警主机的Id号")
    @TableField("device_id")
    private Integer deviceId;

    @ApiModelProperty(value = "分组号")
    @TableField("group_id")
    private Integer groupId;

    @ApiModelProperty(value = "用户ID")
    @TableField("user_id")
    private Integer userId;

    @ApiModelProperty(value = "报警发生时间")
    @TableField("event_time")
    private String eventTime;

    @ApiModelProperty(value = "事件属性")
    @TableField("event_property")
    private Integer eventProperty;

    @ApiModelProperty(value = "事件类型")
    @TableField("event_type")
    private String eventType;

    @ApiModelProperty(value = "联动输出/用户操作")
    @TableField("device_action")
    private Integer deviceAction;

    @ApiModelProperty(value = "防区号")
    @TableField("defense_area_number")
    private Integer defenseAreaNumber;

    @ApiModelProperty(value = "子防区号")
    @TableField("sun_defense_area_number")
    private Integer sunDefenseAreaNumber;

    @ApiModelProperty(value = "张力防区线的数量")
    @TableField("tension_line_count")
    private Integer tensionLineCount;

    @ApiModelProperty(value = "张力防区这条线报警状态")
    @TableField("tension_line_status")
    private Integer tensionLineStatus;

    @ApiModelProperty(value = "张力线报警序号")
    @TableField("tension_line_number")
    private Integer tensionLineNumber;

    public Integer getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getEventTime() {
        return eventTime;
    }

    public void setEventTime(String eventTime) {
        this.eventTime = eventTime;
    }

    public Integer getEventProperty() {
        return eventProperty;
    }

    public void setEventProperty(Integer eventProperty) {
        this.eventProperty = eventProperty;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public Integer getDeviceAction() {
        return deviceAction;
    }

    public void setDeviceAction(Integer deviceAction) {
        this.deviceAction = deviceAction;
    }

    public Integer getDefenseAreaNumber() {
        return defenseAreaNumber;
    }

    public void setDefenseAreaNumber(Integer defenseAreaNumber) {
        this.defenseAreaNumber = defenseAreaNumber;
    }

    public Integer getSunDefenseAreaNumber() {
        return sunDefenseAreaNumber;
    }

    public void setSunDefenseAreaNumber(Integer sunDefenseAreaNumber) {
        this.sunDefenseAreaNumber = sunDefenseAreaNumber;
    }

    public Integer getTensionLineCount() {
        return tensionLineCount;
    }

    public void setTensionLineCount(Integer tensionLineCount) {
        this.tensionLineCount = tensionLineCount;
    }

    public Integer getTensionLineStatus() {
        return tensionLineStatus;
    }

    public void setTensionLineStatus(Integer tensionLineStatus) {
        this.tensionLineStatus = tensionLineStatus;
    }

    public Integer getTensionLineNumber() {
        return tensionLineNumber;
    }

    public void setTensionLineNumber(Integer tensionLineNumber) {
        this.tensionLineNumber = tensionLineNumber;
    }
}
